﻿import xml.dom.minidom

document = xml.dom.minidom.parse("book.xml")


titleElement = document.createElement("title")

titleText = document.createTextNode("파이썬 3.6 프로그래밍")

titleElement.appendChild(titleText)


bookElement = document.createElement("book")

bookElement.setAttribute("ISBN", "979-11-5839-071-6")

bookElement.appendChild(titleElement)


booklistElement = document.firstChild

booklistElement.appendChild(bookElement)


lastBookElement = booklistElement.childNodes[booklistElement.childNodes.length - 1]

print(lastBookElement.attributes["ISBN"].value)
print(lastBookElement.childNodes[0].childNodes[0].data)

"""
979-11-5839-071-6
파이썬 3.6 프로그래밍
"""